List egress gateways in a VPC
curl --request GET \
--url https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/vpcs/{vpcName}/egressgateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"name": "my-egress-gateway",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "My Egress Gateway",
"vpcName": "<string>",
"workspace": "<string>"
},
"spec": {
"region": "us-pdx-1"
},
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
]
}
]vpcs
List egress gateways in a VPC
GET
/
vpcs
/
{vpcName}
/
egressgateways
List egress gateways in a VPC
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Path Parameters
Response
200 - application/json
successful operation
Metadata for an egress gateway resource including workspace, VPC, and name
Show child attributes
Show child attributes
Specification for an egress gateway including region and capacity configuration
Show child attributes
Show child attributes
Events happening on a resource deployed on Blaxel
Show child attributes
Show child attributes
Deployment status of a resource deployed on Blaxel
Available options:
DELETING, TERMINATED, FAILED, DEACTIVATED, DEACTIVATING, UPLOADING, BUILDING, DEPLOYING, DEPLOYED, BUILT Last modified on July 1, 2026
Was this page helpful?
⌘I
